#!/bin/python
#-*- coding: utf-8 -*-

# Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS

# This software is published by the license of CPU-OS License, you can use and 
# distibuted this software under this License. See CPU-OS Liense for more detail.

# You should have receive a copy of CPU-OS License. If not, please contact us 
# by email <support_os@cpu-os.ac.cn>  

from .apt_database import AptDatabase
import subprocess
from os import path
import logging
import sys

global software_center_path
software_center_path = None
try:
    out = subprocess.check_output(['which', 'cdos-softcenter'])
    out = out.strip('\n')
    if path.islink( out ):
        software_center_path = path.dirname( path.realpath(out))
    else :
        software_center_path = path.dirname( out )
except Exception as e :
    logging.error(str(e))

def get_icon_from_software( packagename ):
    global software_center_path
    if software_center_path is None:
        return sys.path[0] + '/software_center/default.png'
    icon = software_center_path + '/data/images/' + packagename + '/icon'
    if not path.exists( icon ):
        icon = sys.path[0] + '/software_center/default.png'
    return icon